aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-getopt-argvfile/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-18 20:46:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:24:04 +0200
commit5c9f3ca3e307be53b45beeed2ce1626f38008625 (patch)
tree919836fe454e953f46685adf8228b0401280d4b6 /community/perl-getopt-argvfile/APKBUILD
parent6a00a953ba02bab6440a2c784e7db37c6eaeace1 (diff)
downloadaports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.gz
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.bz2
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.xz
testing/[various]: move to community
albatross-themes apk-post-messages autossh bitcoin btrbk entr ffmpegthumbnailer firejail firetools fwsnort gnome-colors imapsync inetutils-syslogd inotify-tools-inc isync junit ktsuss letsencrypt-nosudo libmbim libndp libqmi libteam mini-sendmail modemmanager namecoin networkmanager nginx-naxsi numix-themes nxapi opencl-headers opencl-icd-loader opus-tools perl-authen-ntlm perl-bit-vector perl-data-uniqid perl-file-copy-recursive perl-getopt-argvfile perl-io-tee perl-iptables-chainmgr perl-iptables-parse perl-module-scandeps perl-par-dist perl-par-packer perl-par perl-uri-escape psad py-crcmod py-graphviz py-lz4 py-opencl py-opengl-accelerate runit secpwgen secure-delete socklog spacefm tinyssh udevil virt-viewer virtualbricks whois wrk xpra zram-init
Diffstat (limited to 'community/perl-getopt-argvfile/APKBUILD')
-rw-r--r--community/perl-getopt-argvfile/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/community/perl-getopt-argvfile/APKBUILD b/community/perl-getopt-argvfile/APKBUILD
new file mode 100644
index 0000000000..95e9c9cb40
--- /dev/null
+++ b/community/perl-getopt-argvfile/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=perl-getopt-argvfile
+pkgver=1.11
+_realname=Getopt-ArgvFile-$pkgver
+pkgrel=0
+pkgdesc="Interpolates script options from files into @ARGV or another array"
+url="http://search.cpan.org/dist/Getopt-ArgvFile/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JS/JSTENZEL/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="42117db2af4a24c062b2da25d4fdf756 Getopt-ArgvFile-1.11.tar.gz"
+sha256sums="3709aa513ce6fd71d1a55a02e34d2f090017d5350a9bd447005653c9b0835b22 Getopt-ArgvFile-1.11.tar.gz"
+sha512sums="832e9ec6de3dfa4aaac68faedd3561cac570761e0de805e084e8dc7b386579cd0a18278aeb262ea82fddbdf8277b17bbd7593c15d41b1d6d7de4739fc8cc8f11 Getopt-ArgvFile-1.11.tar.gz"